Bug 1256364 - Parameter kt_env no longer available
Parameter kt_env no longer available
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Configuration Management (Show other bugs)
Unspecified Unspecified
unspecified Severity high (vote)
: 6.1.2
: --
Assigned To: Justin Sherrill
Og Maciel
: Regression, Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-08-24 08:24 EDT by Johan Swensson
Modified: 2017-02-23 14:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-09-15 03:22:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johan Swensson 2015-08-24 08:24:10 EDT
Description of problem:
Many customers using hiera have used the parameter kt_env in their hiera hierarchy. This parameter has been removed in 6.1 and should be re-added.

Version-Release number of selected component (if applicable):

How reproducible:

Actual results:
Parameter unavailable.

Expected results:
Parameter should be available.
Comment 2 Justin Sherrill 2015-08-24 08:28:42 EDT
This was removed as it was used by an internal mechanism and wasn't intended to be used by users.  that said there is no reason to not include it.
Comment 4 Justin Sherrill 2015-08-24 09:00:33 EDT
Created redmine issue http://projects.theforeman.org/issues/11456 from this bug
Comment 5 Justin Sherrill 2015-08-24 09:11:31 EDT
Note that the fix for this includes the old 'kt_env' and 'kt_cv' parameters, but these should be considered deprecated and may be removed at some point in the future (likely 6.3).  

New ones are added which are meant for general use and should be supported long term:  "lifecycle_environment" and "content_view"
Comment 6 Bryan Kearney 2015-08-24 09:35:22 EDT
Upstream bug assigned to jsherril@redhat.com
Comment 9 Tazim Kolhar 2015-08-27 06:53:18 EDT

 please provide verification steps

Thanks and Regards,
Comment 11 Justin Sherrill 2015-09-02 14:25:59 EDT
verification steps:

1.  publish a content view to a lifecycle environment
2.  Create a host on the Hosts > all hosts page (you'll likely need to create a domain for this).  Make sure to select a content view and lifecycle environment when creating the host
3.  After creating the host and while on the host details page click the YAML button under 'Details' in the row of four buttons on the left.
4.  Notice yaml that looks like this:

classes: {}
  puppetmaster: foo.bar.com
  hostgroup: testgroup234
  location: Default_Location
  organization: The Demo Org
  foreman_env: KT_The_Demo_Org_Library_Filteretest_19
  owner_name: Admin User
  owner_email: root@foo.com
  testin1235: aaaaaaa
  content_view: Filteretest
  kt_cv: Filteretest
  lifecycle_environment: Library
  kt_env: Library
environment: KT_The_Demo_Org_Library_Filteretest_19

You should see 'kt_cv' & 'kt_env' in this list (order is not important).  If you see them the bug is verified.  You should also see 'lifecycle_environment' and 'content_view'.
Comment 12 Og Maciel 2015-09-02 14:28:32 EDT
Here's what I see:

classes: {}
  puppetmaster: <EDITED>
  domainname: ''
  hostgroup: RHEL 6 x86_64 HG
  location: Default Location
  organization: RbeQr
  root_pw: $1$fBHSOIeR$KDjbxR5SnBz5PTBC88oYb0
  puppet_ca: <EDITED>
  foreman_env: KT_RbeQr_Library_RHEL_6_CV_44
  owner_name: Admin User
  owner_email: root@<EDITED>
  - network:
    name: qe-subnet
    gateway: ''
    dns_primary: ''
    dns_secondary: ''
    from: ''
    to: ''
    boot_mode: DHCP
    ipam: DHCP
  - mac: 52:54:00:65:30:c9
    type: Interface
    attrs: {}
    virtual: false
    link: true
    identifier: eth0
    managed: true
      name: qe-subnet
      gateway: ''
      dns_primary: ''
      dns_secondary: ''
      from: ''
      to: ''
      boot_mode: DHCP
      ipam: DHCP
  net.iframes: '1'
  test.global.parameter.1: '1'
  kt_activation_keys: rhel6-provision-ak
  kt_env: Library
  kt_cv: RHEL_6_CV
  lifecycle_environment: Library
  content_view: RHEL_6_CV
environment: KT_RbeQr_Library_RHEL_6_CV_44
Comment 13 Og Maciel 2015-09-02 14:39:22 EDT
Verified on Sat6.1.2-SNAP1 as per my previous comment.
Comment 15 errata-xmlrpc 2015-09-15 03:22:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.